Debian Bug report logs - #544975
gnumeric: keyboard control disabled after "Insert Row"

version graph

Package: gnumeric; Maintainer for gnumeric is Dmitry Smirnov <onlyjob@debian.org>; Source for gnumeric is src:gnumeric.

Reported by: Drew Parsons <dparsons@debian.org>

Date: Fri, 4 Sep 2009 05:36:02 UTC

Severity: grave

Tags: patch, upstream

Found in version gnumeric/1.9.11-1

Fixed in version gnumeric/1.9.11-2

Done: jdassen@debian.org (J.H.M. Dassen (Ray))

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, jdassen@debian.org (J.H.M. Dassen (Ray)):
Bug#544975; Package gnumeric. (Fri, 04 Sep 2009 05:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Drew Parsons <dparsons@debian.org>:
New Bug report received and forwarded. Copy sent to jdassen@debian.org (J.H.M. Dassen (Ray)). (Fri, 04 Sep 2009 05:36:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Drew Parsons <dparsons@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gnumeric: keyboard control disabled after "Insert Row"
Date: Fri, 04 Sep 2009 15:36:27 +1000
Package: gnumeric
Version: 1.9.11-1
Severity: grave
Justification: renders package unusable

Normally it is possible to move around between cells using the arrow
keys on the keyboard, and you can enter text simply by starting to type.

In the new version of gnumeric, this kind of keyboard control gets
disabled after the "Insert Row" functionality is used via mouse
right-click.  The new rows get inserted, but after that gnumeric is
not responsive to the keyboard.  Arrows no longer navigate, text
cannot be entered by commencing typing.  Control keys on the other 
hand (C-w, C-x, C-v etc) do continue to function.

It is possible to enter text by clicking with the mouse into the entry
box above the worksheet, but this of course is not generally convenient.

The bug does not occur if Insert Row is performed via the menu. It
only happens after mouse right-click.

The bug also occurs after Insert Column via right-click, as well as
Delete Row/Column.

Thanks,
Drew

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages gnumeric depends on:
ii  debconf [debc 1.5.27                     Debian configuration management sy
ii  gconf2        2.26.2-3                   GNOME configuration database syste
ii  gnumeric-comm 1.9.11-1                   spreadsheet application for GNOME 
ii  gsfonts       1:8.11+urwcyr1.0.7~pre44-4 Fonts for the Ghostscript interpre
ii  libatk1.0-0   1.26.0-1                   The ATK accessibility toolkit
ii  libc6         2.9-26                     GNU C Library: Shared libraries
ii  libcairo2     1.8.8-2                    The Cairo 2D vector graphics libra
ii  libglade2-0   1:2.6.4-1                  library to load .glade files at ru
ii  libglib2.0-0  2.20.5-1                   The GLib library of C routines
ii  libgoffice-0- 0.7.11-1                   Document centric objects library -
ii  libgsf-1-114  1.14.15-1                  Structured File Library - runtime 
ii  libgtk2.0-0   2.16.6-1                   The GTK+ graphical user interface 
ii  libpango1.0-0 1.24.5-1                   Layout and rendering of internatio
ii  libxml2       2.7.3.dfsg-2.1             GNOME XML library
ii  procps        1:3.2.8-1                  /proc file system utilities
ii  zlib1g        1:1.2.3.3.dfsg-15          compression library - runtime

Versions of packages gnumeric recommends:
ii  evince                        2.26.2-2   Document (postscript, pdf) viewer

Versions of packages gnumeric suggests:
ii  epiphany-browser              2.26.3-2   Intuitive web browser - dummy pack
ii  gnumeric-doc                  1.9.11-1   spreadsheet application for GNOME 
ii  gnumeric-plugins-extra        1.9.11-1   spreadsheet application for GNOME 
ii  ttf-liberation                1.04.93-1  Free fonts with the same metrics a

-- debconf information:
* gnumeric/existing-process: true




Information forwarded to debian-bugs-dist@lists.debian.org, jdassen@debian.org (J.H.M. Dassen (Ray)):
Bug#544975; Package gnumeric. (Fri, 04 Sep 2009 13:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to 544975@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to jdassen@debian.org (J.H.M. Dassen (Ray)). (Fri, 04 Sep 2009 13:36:03 GMT) Full text and rfc822 format available.

Message #10 received at 544975@bugs.debian.org (full text, mbox):

From: "J.H.M. Dassen (Ray)" <jdassen@debian.org>
To: control@bugs.debian.org
Cc: Drew Parsons <dparsons@debian.org>, 544975@bugs.debian.org
Subject: Re: Bug#544975: gnumeric: keyboard control disabled after "Insert Row"
Date: Fri, 4 Sep 2009 15:32:10 +0200
tags 544975 + upstream patch
thanks

According to upstream:

15:16 <@gmorten> JHM: debian 544975 is fixed in git.
15:16 <@gmorten> argh.
15:16 <@gmorten> no, it isn't.  A similar bug was fixed.
15:16 <@gmorten> Jean?
15:28 <@gmorten> Now it's fixed.
15:28 <@gmorten> JHM: You will need
15:28 <@gmorten> http://git.gnome.org/cgit/gnumeric/commit/?id=649386d422bbfdd6767d17da8cedfe896db52db4
15:28 <@gmorten> and
15:28 <@gmorten> http://git.gnome.org/cgit/gnumeric/commit/?id=897f7be3220347e0adb78108ca21accf2dbb88ea
-- 
FUD for dummies by example in 21 days Lesson 3: use braindead analogies.
"Open source raises various security issues. How many banks will tell you
where their cameras are and where their vaults are?"
A Microsoft droid in http://www.zdnet.co.uk/news/1999/47/ns-11895.html




Added tag(s) upstream and patch. Request was from "J.H.M. Dassen (Ray)" <jdassen@debian.org> to control@bugs.debian.org. (Fri, 04 Sep 2009 13:36:04 GMT) Full text and rfc822 format available.

Reply sent to jdassen@debian.org (J.H.M. Dassen (Ray)):
You have taken responsibility. (Fri, 04 Sep 2009 22:12:12 GMT) Full text and rfc822 format available.

Notification sent to Drew Parsons <dparsons@debian.org>:
Bug acknowledged by developer. (Fri, 04 Sep 2009 22:12:12 GMT) Full text and rfc822 format available.

Message #17 received at 544975-close@bugs.debian.org (full text, mbox):

From: jdassen@debian.org (J.H.M. Dassen (Ray))
To: 544975-close@bugs.debian.org
Subject: Bug#544975: fixed in gnumeric 1.9.11-2
Date: Fri, 04 Sep 2009 21:49:22 +0000
Source: gnumeric
Source-Version: 1.9.11-2

We believe that the bug you reported is fixed in the latest version of
gnumeric, which is due to be installed in the Debian FTP archive:

gnumeric-common_1.9.11-2_all.deb
  to pool/main/g/gnumeric/gnumeric-common_1.9.11-2_all.deb
gnumeric-doc_1.9.11-2_all.deb
  to pool/main/g/gnumeric/gnumeric-doc_1.9.11-2_all.deb
gnumeric-plugins-extra_1.9.11-2_amd64.deb
  to pool/main/g/gnumeric/gnumeric-plugins-extra_1.9.11-2_amd64.deb
gnumeric_1.9.11-2.diff.gz
  to pool/main/g/gnumeric/gnumeric_1.9.11-2.diff.gz
gnumeric_1.9.11-2.dsc
  to pool/main/g/gnumeric/gnumeric_1.9.11-2.dsc
gnumeric_1.9.11-2_amd64.deb
  to pool/main/g/gnumeric/gnumeric_1.9.11-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 544975@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
J.H.M. Dassen (Ray) <jdassen@debian.org> (supplier of updated gnumeric package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 04 Sep 2009 22:03:55 +0200
Source: gnumeric
Binary: gnumeric gnumeric-common gnumeric-doc gnumeric-plugins-extra
Architecture: source all amd64
Version: 1.9.11-2
Distribution: unstable
Urgency: low
Maintainer: J.H.M. Dassen (Ray) <jdassen@debian.org>
Changed-By: J.H.M. Dassen (Ray) <jdassen@debian.org>
Description: 
 gnumeric   - spreadsheet application for GNOME - main program
 gnumeric-common - spreadsheet application for GNOME - common files
 gnumeric-doc - spreadsheet application for GNOME - documentation
 gnumeric-plugins-extra - spreadsheet application for GNOME - additional plugins
Closes: 544975
Changes: 
 gnumeric (1.9.11-2) unstable; urgency=low
 .
   * [ChangeLog, src/item-bar.c] Backported upstream fixes
     649386d422bbfdd6767d17da8cedfe896db52db4 and
     897f7be3220347e0adb78108ca21accf2dbb88ea to address a grab issue with
     the context menu. (Closes: #544975)
   * [debian/control] Bumped goffice build dependency, as 0.7.10 was somewhat
     problematic.
Checksums-Sha1: 
 71f575f8d32aa759053a17534df74a64b7c00b79 1673 gnumeric_1.9.11-2.dsc
 5a13bddccc55cf7d4235515fb6fa2c592eeef089 50479 gnumeric_1.9.11-2.diff.gz
 017fc5f5d5f891bcb7a1e5dc46bda84ef0c264bc 3045984 gnumeric-common_1.9.11-2_all.deb
 bb37fa2d2503f8d731d952999025e2a7909866fb 5412646 gnumeric-doc_1.9.11-2_all.deb
 2c66a7e5ae211d0268926b76926aff4ad7244224 2697738 gnumeric_1.9.11-2_amd64.deb
 2f8fa0b6f9744597198e9a3cb840c912915d135e 203282 gnumeric-plugins-extra_1.9.11-2_amd64.deb
Checksums-Sha256: 
 b2526b181b321f2d395bb9e0315e22a0666cf7fa7612970bd086938116418365 1673 gnumeric_1.9.11-2.dsc
 50053d8438be3a3fbd22f4ca7d3ba17ac4ca2ba44ca47ebadc6a9df36f58086f 50479 gnumeric_1.9.11-2.diff.gz
 4de5298f32596d9a855a8fab12182b54d4a08904ac176dd1ccdba150e42dfd7f 3045984 gnumeric-common_1.9.11-2_all.deb
 8ef760e06ef335d221e16094c8b5eb0d6c857e6abb61040040f6f01b0ca023b4 5412646 gnumeric-doc_1.9.11-2_all.deb
 c562df621e918bbd64cfa58e1b4042601666ca7eded80824ae03c8939446dcb5 2697738 gnumeric_1.9.11-2_amd64.deb
 01491134a3c42ae049614a8262c1458a5c4a798db7e8721823ab332151d178a0 203282 gnumeric-plugins-extra_1.9.11-2_amd64.deb
Files: 
 204cde6f19c9f570ac55c6702ebf3297 1673 math optional gnumeric_1.9.11-2.dsc
 162e28aaf0f559d0891d0622d34e541c 50479 math optional gnumeric_1.9.11-2.diff.gz
 2b86ac9028a249e17086799b97405081 3045984 math optional gnumeric-common_1.9.11-2_all.deb
 468c8e58fcf0b4ff2d4fa73850609d8b 5412646 doc optional gnumeric-doc_1.9.11-2_all.deb
 7e77981008994b97d2eba700e438a15a 2697738 math optional gnumeric_1.9.11-2_amd64.deb
 30d935e040503bc038888da4300e7f5d 203282 math optional gnumeric-plugins-extra_1.9.11-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkqhdR4ACgkQmGjI2TeZ54eyQgCfRHMrreCOh0AMtvNNZOM/vE3f
4mUAoLCevvuU84Nlcc2vuNFSJLTOsjIx
=9vQP
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 05 Oct 2009 07:37:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:02:46 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.